MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000839Xdebug(No Category)public2012-05-17 20:142012-05-28 09:24
Reporterlunetics 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformphp 5.4, nginx 1.2OSFreeBSDOS Version9.0 amd64
Product Version2.2.0 
Target VersionFixed in Version2.2.1 
Summary0000839: xdebug shows wrong data in debug (when using static class vars?)
Descriptionalso in addition to my bug post 0000346:0000838 , when working / filling a static var, it'll also set on a property
Steps To Reproduceexecute sample script and inspect $a
Additional InformationPhpStorm 4.0 / Windows
TagsNo tags attached.
Operating System
PHP Version5.4.3
Attached Fileslog file icon xdbg.log [^] (17,232 bytes) 2012-05-17 20:14
png file icon xdbg2.png [^] (8,385 bytes) 2012-05-17 20:15


? file icon worksnot.php [^] (1,048 bytes) 2012-05-17 20:15

- Relationships

-  Notes
(0002177)
lunetics (reporter)
2012-05-17 20:17

Wrong link in description, was meant to link to bug 0000838
(0002198)
derick (administrator)
2012-05-28 09:24

Fixed on github, please test and reopen if it still doesn't work. Thanks for your report!

- Issue History
Date Modified Username Field Change
2012-05-17 20:14 lunetics New Issue
2012-05-17 20:14 lunetics File Added: xdbg.log
2012-05-17 20:15 lunetics File Added: xdbg2.png
2012-05-17 20:15 lunetics File Added: worksnot.php
2012-05-17 20:17 lunetics Note Added: 0002177
2012-05-28 09:24 derick Note Added: 0002198
2012-05-28 09:24 derick Status new => closed
2012-05-28 09:24 derick Assigned To => derick
2012-05-28 09:24 derick Resolution open => fixed
2012-05-28 09:24 derick Fixed in Version => 2.2.1
2016-07-31 13:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 13:35 derick Category debugclient (debugging tool) => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker